Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2ContentCollector Class Reference

`#include <FB2ContentCollector.h>`

Inheritance diagram for libebook::FB2ContentCollector:

## Public Member Functions
| FB2ContentCollector (librevenge::RVNGTextInterface *m_document, const librevenge::RVNGPropertyList &metadata, const FB2ContentMap &notes, const FB2ContentMap &bitmaps)
Public Member Functions inherited from libebook::FB2Collector
virtual | ~FB2Collector ()=0

## Private Member Functions
| FB2ContentCollector (const FB2ContentCollector &other)
FB2ContentCollector & | operator= (const FB2ContentCollector &other)
virtual void | defineMetadataEntry (const char *name, const char *value)
virtual void | openMetadataEntry (const char *name)
virtual void | closeMetadataEntry ()
virtual void | defineID (const char *id)
virtual void | openPageSpan ()
virtual void | closePageSpan ()
virtual void | openBlock ()
virtual void | closeBlock ()
virtual void | openParagraph (const FB2BlockFormat &format)
virtual void | closeParagraph ()
virtual void | openSpan (const FB2Style &style)
virtual void | closeSpan ()
virtual void | insertText (const char *text)
virtual void | openTable (const FB2BlockFormat &format)
virtual void | closeTable ()
virtual void | openTableRow (const FB2BlockFormat &format)
virtual void | closeTableRow ()
virtual void | openTableCell (int rowspan, int colspan)
virtual void | closeTableCell ()
virtual void | insertCoveredTableCell ()
virtual void | insertFootnote (const char *id)
virtual void | insertBitmap (const char *id)
virtual void | insertBitmapData (const char *contentType, const char *base64Data)

## Private Attributes
librevenge::RVNGTextInterface * | m_document
const librevenge::RVNGPropertyList & | m_metadata
const FB2ContentMap & | m_notes
const FB2ContentMap & | m_bitmaps
int | m_currentFootnote
int | m_openPara

## Constructor & Destructor Documentation

## § FB2ContentCollector() [1/2]

libebook::FB2ContentCollector::FB2ContentCollector | ( | const FB2ContentCollector & | other | ) |
| private

## § FB2ContentCollector() [2/2]

libebook::FB2ContentCollector::FB2ContentCollector | ( | librevenge::RVNGTextInterface * | m_document,
|  | const librevenge::RVNGPropertyList & | metadata,
|  | const FB2ContentMap & | notes,
|  | const FB2ContentMap & | bitmaps
| ) |  |

## Member Function Documentation

## § closeBlock()

void libebook::FB2ContentCollector::closeBlock | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeMetadataEntry()

void libebook::FB2ContentCollector::closeMetadataEntry | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closePageSpan()

void libebook::FB2ContentCollector::closePageSpan | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeParagraph()

void libebook::FB2ContentCollector::closeParagraph | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeSpan()

void libebook::FB2ContentCollector::closeSpan | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeTable()

void libebook::FB2ContentCollector::closeTable | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeTableCell()

void libebook::FB2ContentCollector::closeTableCell | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § closeTableRow()

void libebook::FB2ContentCollector::closeTableRow | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § defineID()

void libebook::FB2ContentCollector::defineID | ( | const char * | id | ) |
| private virtual

Implements libebook::FB2Collector.

## § defineMetadataEntry()

void libebook::FB2ContentCollector::defineMetadataEntry | ( | const char * | name,
|  | const char * | value
| ) |  |
| private virtual

Implements libebook::FB2Collector.

## § insertBitmap()

void libebook::FB2ContentCollector::insertBitmap | ( | const char * | id | ) |
| private virtual

Implements libebook::FB2Collector.

## § insertBitmapData()

void libebook::FB2ContentCollector::insertBitmapData | ( | const char * | contentType,
|  | const char * | base64Data
| ) |  |
| private virtual

Implements libebook::FB2Collector.

## § insertCoveredTableCell()

void libebook::FB2ContentCollector::insertCoveredTableCell | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § insertFootnote()

void libebook::FB2ContentCollector::insertFootnote | ( | const char * | id | ) |
| private virtual

Implements libebook::FB2Collector.

## § insertText()

void libebook::FB2ContentCollector::insertText | ( | const char * | text | ) |
| private virtual

Implements libebook::FB2Collector.

## § openBlock()

void libebook::FB2ContentCollector::openBlock | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § openMetadataEntry()

void libebook::FB2ContentCollector::openMetadataEntry | ( | const char * | name | ) |
| private virtual

Implements libebook::FB2Collector.

## § openPageSpan()

void libebook::FB2ContentCollector::openPageSpan | ( |  | ) |
| private virtual

Implements libebook::FB2Collector.

## § openParagraph()

void libebook::FB2ContentCollector::openParagraph | ( | const FB2BlockFormat & | format | ) |
| private virtual

Implements libebook::FB2Collector.

## § openSpan()

void libebook::FB2ContentCollector::openSpan | ( | const FB2Style & | style | ) |
| private virtual

Implements libebook::FB2Collector.

## § openTable()

void libebook::FB2ContentCollector::openTable | ( | const FB2BlockFormat & | format | ) |
| private virtual

Implements libebook::FB2Collector.

## § openTableCell()

void libebook::FB2ContentCollector::openTableCell | ( | int | rowspan,
|  | int | colspan
| ) |  |
| private virtual

Implements libebook::FB2Collector.

## § openTableRow()

void libebook::FB2ContentCollector::openTableRow | ( | const FB2BlockFormat & | format | ) |
| private virtual

Implements libebook::FB2Collector.

## § operator=()

FB2ContentCollector& libebook::FB2ContentCollector::operator= | ( | const FB2ContentCollector & | other | ) |
| private

## Member Data Documentation

## § m_bitmaps

const FB2ContentMap& libebook::FB2ContentCollector::m_bitmaps
| private

Referenced by insertBitmap().

## § m_currentFootnote

int libebook::FB2ContentCollector::m_currentFootnote
| private

Referenced by insertFootnote().

## § m_document

librevenge::RVNGTextInterface* libebook::FB2ContentCollector::m_document
| private

Referenced by closePageSpan(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), insertBitmap(), insertBitmapData(), insertCoveredTableCell(), insertFootnote(), insertText(), openPageSpan(), openParagraph(), openSpan(), openTable(), openTableCell(), and openTableRow().

## § m_metadata

const librevenge::RVNGPropertyList& libebook::FB2ContentCollector::m_metadata
| private

Referenced by openSpan().

## § m_notes

const FB2ContentMap& libebook::FB2ContentCollector::m_notes
| private

Referenced by insertFootnote().

## § m_openPara

int libebook::FB2ContentCollector::m_openPara
| private

Referenced by closeParagraph(), insertBitmap(), and openParagraph().

The documentation for this class was generated from the following files:

- FB2ContentCollector.h
- FB2ContentCollector.cpp